curl --request POST \
--url https://mcp.echozero.app/api/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"name": "CI / automation key"
}
'
{
"success": true,
"data": {
"rawKey": "<string>",
"rawSecretKey": "<string>",
"apiKey": {
"id": "<string>",
"name": "<string>",
"keyPrefix": "<string>",
"type": "platform",
"rateLimitTier": "free",
"scopes": [
"agents:read"
],
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}API Keys
Generate a new API key + secret key pair
Creates a new API key. The raw key and secret are returned only once and cannot be retrieved later. Store them securely.
POST
/
api
/
api-keys
curl --request POST \
--url https://mcp.echozero.app/api/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"name": "CI / automation key"
}
'
{
"success": true,
"data": {
"rawKey": "<string>",
"rawSecretKey": "<string>",
"apiKey": {
"id": "<string>",
"name": "<string>",
"keyPrefix": "<string>",
"type": "platform",
"rateLimitTier": "free",
"scopes": [
"agents:read"
],
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
bearer-jwtapi-key
Headers
Body
application/json
OpenAPI schema CreateApiKeyDto.
Permission scopes. Defaults to all public, non-admin scopes if omitted. admin:* cannot be created through this API.
Available options:
agents:read, agents:write, trades:read, trades:execute, bots:read, bots:write, marketplace:read, ai:chat, read:tokens, read:trades, read:strategies, write:strategies, read:wallet, write:wallet, read:agents, write:agents, read:ai, write:ai, read:earn, read:notifications, write:notifications, read:analytics, admin:*